import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { TimePeriod } from '../../models/time-period.enum';
import { TimeUnit } from '../../models/time-unit.enum';
import { ClockFaceTime } from '../../models/clock-face-time.interface';
import { Moment } from 'moment';
export declare class NgxMaterialTimepickerDialComponent implements OnChanges {
    timeUnit: typeof TimeUnit;
    hours: ClockFaceTime[];
    minutes: ClockFaceTime[];
    hour: number | string;
    minute: number | string;
    format: number;
    period: TimePeriod;
    activeTimeUnit: TimeUnit;
    minTime: Moment;
    maxTime: Moment;
    isEditable: boolean;
    minutesGap: number;
    periodChanged: EventEmitter<TimePeriod>;
    timeUnitChanged: EventEmitter<TimeUnit>;
    hourChanged: EventEmitter<ClockFaceTime>;
    minuteChanged: EventEmitter<ClockFaceTime>;
    ngOnChanges(changes: SimpleChanges): void;
    changeTimeUnit(unit: TimeUnit): void;
    changePeriod(period: TimePeriod): void;
    changeHour(hour: ClockFaceTime): void;
    changeMinute(minute: ClockFaceTime): void;
}
